For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
      • GETList Form Submissions
      • GETGet Form Submission
      • GETList Form Submissions by Site
      • PATCHModify Form Submission
      • DELDelete Form Submission
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
FormsForm submissions

Delete Form Submission

DELETE
https://api.webflow.com/beta/form_submissions/:form_submission_id
DELETE
/beta/form_submissions/:form_submission_id
$curl -X DELETE https://api.webflow.com/beta/form_submissions/580e63e98c9a982ac9b8b741 \
> -H "Authorization: Bearer <token>"

Delete a form submission

Required scope | forms:write

Was this page helpful?
Previous

Get Registered Scripts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

form_submission_idstringRequiredformat: "objectid"
Unique identifier for a Form Submission

Response

Form Submission successfully deleted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error